
Core - Bug # 39820

Status: Resolved Priority: Should have
Author: Tobias Schultheiss Category: Pagetree
Created: 2012-08-15 Assigned To:
Updated: 2013-04-07 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: unnecessary moveNode in class.t3lib_tree_pagetree_commands.php createNode()
Description

On a Typo3 4.6.10 installation i had the problem that the creation of a new page via drag&drop always timed out. A Tracking revealed
that the creation of the new page took over 100 Seconds (thats pretty ugly but another issue). I finally tracked the bad Performance to
the function createNode() in t3lib/tree/pagetree/class.t3lib_tree_pagetree_commands.php.
In said function is a comparison:
if ($parentNode->getWorkspaceId() !== $targetId) {
  self::moveNode($node, $targetId);
}
which fails although both ids are the same. After i did a typecast to int on both of the ids, the comparison worked, the moveNode
wasn't executed anymore and the duration fell to ~10 Seconds.

Related issues:
related to Core - Bug # 55768: Drag & drop in Workspaces moves live page Resolved 2014-02-07

Associated revisions
Revision a4b95503 - 2012-09-27 22:58 - Tobias Schultheiss

[BUGFIX] Pagetree - Prevent a call to moveNode while creating nodes

Change-Id: I702ccb71dcf91063012eb77091f5982661ee3afd
Fixes: #39820
Releases: 6.0, 4.7, 4.6, 4.5
Reviewed-on: http://review.typo3.org/13808
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Galinski
Tested-by: Stefan Galinski

Revision dc308dee - 2012-10-13 12:45 - Tobias Schultheiss

[BUGFIX] Pagetree - Prevent a call to moveNode while creating nodes

Change-Id: I31ccdf629592e5185f85f217f848405817a0a079
Fixes: #39820
Releases: 6.0, 4.7, 4.6, 4.5
Reviewed-on: http://review.typo3.org/15120
Reviewed-by: Wouter Wolters
Reviewed-by: Steffen Ritter

2015-08-04 1/6

http://review.typo3.org/13808
http://review.typo3.org/15120


Tested-by: Steffen Ritter

Revision d4cc0ca1 - 2012-10-16 10:54 - Tobias Schultheiss

[BUGFIX] Pagetree - Prevent a call to moveNode while creating nodes

Change-Id: I355cfb5ed4d2ebfac26376f5f774dca4d89a0c6c
Fixes: #39820
Releases: 6.0, 4.7, 4.6, 4.5
Reviewed-on: http://review.typo3.org/15555
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

Revision eb24931f - 2013-04-07 10:49 - Tobias Schultheiss

[BUGFIX] Pagetree - Prevent a call to moveNode while creating nodes

Change-Id: I355cfb5ed4d2ebfac26376f5f774dca4d89a0c6c
Fixes: #39820
Releases: 6.0, 4.7, 4.6, 4.5
Reviewed-on: https://review.typo3.org/17642
Reviewed-by: Mario Rimann
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History
#1 - 2012-08-15 13:27 - Steffen Gebert

Oh, great improvement, Tobias! Thanks a lot.

Would you like to create a patch and send this into the review workflow? see http://wiki.typo3.org/Contribution_Walkthrough_Tutorials.

If you have any trouble, just ask!

#2 - 2012-08-16 11:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#3 - 2012-08-16 11:34 - Tobias Schultheiss

Gerrit Code Review wrote:
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

Ok, first time i used git and i got mail from mr. jenkins.
what have i done wrong?

#4 - 2012-08-16 17:05 - Tobias Schultheiss

Tobias Schultheiss wrote:

Gerrit Code Review wrote:

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

Ok, first time i used git and i got mail from mr. jenkins.
what have i done wrong?

seems i had mixed up some submodule pointers.
i made a new clone and changed the code again, this time it seems the pointers are all right.
do i just have to push the patch again?

#5 - 2012-08-19 20:57 - Steffen Gebert

Hi Tobias,

sorry, I was on holiday, but Michi Stucki should have taken over (he promised to substitute myself).
But thanks a lot for digging into Git, I appreciate it!

To upload an updated version, please include this line in the commit message:

Change-Id: I702ccb71dcf91063012eb77091f5982661ee3afd

Otherwise a new change request will be created (which wouldn't be too dramatic).

We have a Troubleshooting page in the wiki, which can help you with the submodule problems: http://wiki.typo3.org/TroubleShooting_(Git)

And here's a tutorial, how you can upload an updated patch set: 
http://wiki.typo3.org/Contribution_Walkthrough_with_CommandLine#Improving_the_patch_and_uploading_a_new_Patch_Set

If I can help you, please post again. Will be available the next days!

Steffen

#6 - 2012-08-20 00:24 - Michael Stucki
@Steffen: I'm looking at those issues right now, sorry that I couldn't do it before.

#7 - 2012-08-20 17:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#8 - 2012-08-20 17:22 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#9 - 2012-08-20 17:38 - Tobias Schultheiss

Steffen Gebert wrote:

Hi Tobias,

sorry, I was on holiday, but Michi Stucki should have taken over (he promised to substitute myself).
But thanks a lot for digging into Git, I appreciate it!

To upload an updated version, please include this line in the commit message:
[...]

Otherwise a new change request will be created (which wouldn't be too dramatic).

We have a Troubleshooting page in the wiki, which can help you with the submodule problems: http://wiki.typo3.org/TroubleShooting_(Git)

And here's a tutorial, how you can upload an updated patch set: 
http://wiki.typo3.org/Contribution_Walkthrough_with_CommandLine#Improving_the_patch_and_uploading_a_new_Patch_Set

If I can help you, please post again. Will be available the next days!

Steffen

Hi Steffen,

thanks for the resources and your assistance/comments (inspired me to share ... although i had to wait for the answer; I begrudge anyone his
vacation), I think I managed to push it now correctly.

#10 - 2012-08-20 17:43 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#11 - 2012-08-20 17:44 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#12 - 2012-08-20 18:18 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#13 - 2012-09-26 23:25 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13808

#14 - 2012-09-27 23:07 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/15120

#15 - 2012-09-27 23:30 - Tobias Schultheiss
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a4b955038308a21ba68198f8422545e2668595e0.

#16 - 2012-09-28 01:41 - Stefan Galinski
- Status changed from Resolved to Under Review

#17 - 2012-10-13 13:30 - Tobias Schultheiss
- Status changed from Under Review to Resolved

Applied in changeset commit:dc308dee198cd4d12faa42a6a7e0b63eefad79ba.

#18 - 2012-10-13 13:57 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/15555

#19 - 2012-10-13 14:00 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/15555
#20 - 2012-10-16 11:30 - Tobias Schultheiss
- Status changed from Under Review to Resolved

Applied in changeset commit:d4cc0ca113dc2e5c1d1bbc6cf7ad07a5f4f93539.

#21 - 2013-01-21 23:30 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.org/17642

#22 - 2013-04-07 11:30 - Tobias Schultheiss
- Status changed from Under Review to Resolved

Applied in changeset commit:eb24931f79e30d29133f81bbb89d0e42c217744a.
